<?php
/**
 * The template for displaying the header
 *
 * 
 * @package WordPress
 * @subpackage Admania
 * @since Admania 1.0
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head itemscope="itemscope" itemtype="http://schema.org/WebSite">
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<?php if( 1 !== get_theme_mod('admania_responsive')): ?>
		<meta name="viewport" content="width=device-width, initial-scale=1" />
	<?php endif; ?>
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
		<link rel="pingback" href="<?php esc_url(bloginfo( 'pingback_url' )); ?>">
	<?php endif;		
	/**
	* This hook is important for wordpress plugins and other many things
	*/
	wp_head();
	
	if( '' !== get_theme_mod('admania_header_script')): 	
		echo wp_specialchars_decode(get_theme_mod('admania_header_script'),'ENT_NOQUOTES');	
	endif;
		
	?>

	
</head>

<?php 
 
$admania_blog_layout = get_theme_mod('admania_blog_layout_type','amblyt1');

$admania_blog_header = get_theme_mod('admania_headertype_scheme','amheader1');
	
$admania_header_type = get_theme_mod('admania_headertype_scheme','amheader1');
				
$admania_spblog_layout = get_theme_mod('admania_splyts_scheme','amsplyt3'); 

if((get_theme_mod('admania_enmblayout') != '') && (wp_is_mobile())) {
  $admania_mb_bdyclass = 'admania-mb-style';
}
else {
  $admania_mb_bdyclass = '';
}

$admania_post_bdyclass = '';

if(is_single() || is_page()){
if($admania_spblog_layout == 'amsplyt3') {
	$admania_post_bdyclass = 'admania-single-half-gb';
}
if($admania_spblog_layout == 'amsplyt4') {
	$admania_post_bdyclass = 'admania-single-full-gb';
}
}

if( $admania_blog_layout == 'amblyt6'): 	

$admania_blog_bdyclass = 'admania-boxedlayout';

elseif(($admania_blog_layout !== 'amblyt11') && ($admania_blog_layout !== 'amblyt12') && ($admania_blog_header !== 'amheader11') && ($admania_blog_header !== 'amheader12')):

$admania_blog_bdyclass = 'admania-blog-layout11';

elseif( $admania_blog_layout == 'amblyt14'): 

$admania_blog_bdyclass = 'admania-blog-layout14';

elseif( $admania_blog_layout == 'amblyt16'): 

$admania_blog_bdyclass = 'admania-blog-layout16';

elseif( $admania_blog_layout == 'amblyt17'): 

$admania_blog_bdyclass = 'admania-blog-layout17';

else:

$admania_blog_bdyclass = '';
		
endif;

?>

<body <?php body_class(array(''.esc_attr($admania_blog_bdyclass).'',''.esc_attr($admania_post_bdyclass).'',''.esc_attr($admania_mb_bdyclass).'')); ?> itemscope="itemscope" itemtype="http://schema.org/WebPage">

<?php wp_body_open(); ?>

<div class="admania-sitecontainer">

   <?php
   if(get_theme_mod('admania_adblockaact') != '') {
   ?>
    <div class="admania_adblock_detector" id="admania_adb_enabled">
		<div class="admania_adb_enabledinner">
		<div class="admania_adb_enbtp">
			<i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
		</div>
		<div class="admania_adb_enbtm">
		    <h6><?php echo esc_html(get_theme_mod('admania_adblocktitle','Oh Snap!'));  ?></h6>
			<p><?php  echo esc_html(get_theme_mod('admania_adblockdesp','Please turnoff your ad blocking mode for viewing your site content'));  ?></p>
		</div>
		</div>
	</div>
	<?php
    }
	
	if(get_theme_mod('admania_header_sticky_ondesktop_setting') != '') {
		
		get_template_part('tempheader-parts/amsticky','head'); // sticky header content
			
	}
			
	?>	
	
	<header class="admania-siteheader" itemscope="" itemtype="http://schema.org/WPHeader">
				
		<?php 		
		
		if((get_theme_mod('admania_enmblayout') != '') && (wp_is_mobile())) {

		get_template_part('tempad-parts/mbbfhdad');
		
        get_template_part('tempheader-parts/mbheader','content'); // layout1 header content
		
		}
		else {
		
		if(($admania_blog_layout == 'amblyt6')) {
			get_template_part('tempheader-parts/amlayout6header','content'); // boxed layout header content
		}

        else {		
			
		if($admania_header_type == 'amheader1') { 
		
			get_template_part('tempheader-parts/amlayout1header','content'); // layout1 header content
	   
	    }  
		
		elseif($admania_header_type == 'amheader2') { 
	   
			get_template_part('tempad-parts/lay2headertop','ad'); // layout2 header ad
	   
			get_template_part('tempheader-parts/amlayout2header','content'); // layout2 header content
			
		}
		
	    elseif($admania_header_type == 'amheader3') {  
		
			get_template_part('tempheader-parts/amlayout3header','content'); // layout3 header content
			
	    }
		
		elseif($admania_header_type == 'amheader4') {  
		
			get_template_part('tempheader-parts/amlayout4header','content'); // layout4 header content
			
	    }
		
		elseif($admania_header_type == 'amheader5') {  
		
			get_template_part('tempheader-parts/amlayout5header','content'); // layout5 header-content
			
	    }
		elseif($admania_header_type == 'amheader6') {  
		
			get_template_part('tempheader-parts/amlayout7header','content'); // layout7 header-content
			
	    }
		elseif($admania_header_type == 'amheader7') {  
		
			get_template_part('tempheader-parts/amlayout8header','content'); // layout8 header-content
			
	    }
		elseif($admania_header_type == 'amheader8') {  
		
			get_template_part('tempheader-parts/amlayout9header','content'); // layout9 header-content
			
	    }
		elseif($admania_header_type == 'amheader9') {  
		
			get_template_part('tempheader-parts/amlayout10header','content'); // layout10 header-content
			
	    }
		elseif($admania_header_type == 'amheader10') {  
		
			get_template_part('tempheader-parts/amlayout11header','content'); // layout10 header-content
			
	    }
		elseif($admania_header_type == 'amheader11') {  
		
			get_template_part('tempheader-parts/amlayout12header','content'); // layout10 header-content
			
	    }
		}
		}
		?>
		
		
	</header>
	
	<?php 

	if(($admania_blog_layout !== 'amblyt11') || ($admania_blog_layout !== 'amblyt12')) { 

	?>
	
<div class="admania-siteinner">

<?php 
}
if((!wp_is_mobile())) {

if(($admania_blog_layout !== 'amblyt3') && ($admania_blog_layout !== 'amblyt4') && ($admania_blog_layout !== 'amblyt5') && ($admania_blog_layout !== 'amblyt6')) { 

if(($admania_blog_layout === 'amblyt1') || ($admania_blog_layout === 'amblyt2')) {
?>
	
<div class="admanina-afterheaderad">

<?php 
if($admania_blog_layout === 'amblyt1') { 
/*
 *  Include the after header Ad template.			
*/
		
get_template_part('tempad-parts/afterheader','ad');

}
elseif($admania_blog_layout == 'amblyt2') {

/*
 *  Include the after header Ad template.			
*/
		
get_template_part('tempad-parts/lay2afterheader','ad');

}
?>

</div>

<?php
}
}
}

if((get_theme_mod('admania_enmblayout') != '')) {
	
if(wp_is_mobile()) {
	
/*
 *  Include the after header Ad template.			
*/
		
get_template_part('tempad-parts/mbafhdad');

}

}

if($admania_blog_layout === 'amblyt6') { 

if((get_theme_mod('admania_enmblayout') != '') || (!wp_is_mobile())) {

if(admania_get_option('boxed_siteleftads') != '') { 
?>
<div class="admania-sitesideleftad">
<?php
/*
 *  Include the site sticky Ad template.			
*/

get_template_part('tempad-parts/bxdsitebgsticky','ad');
?>
</div>
<?php
}

if(get_theme_mod('admania_bxdafhdrad') != '') { 
/*
 *  Include the After Header Ad template.			
*/

get_template_part('tempad-parts/bxdafterheader','ad');

}	
}
}


/*
$get_new_array = [
	'wp_inactive_widgets' => [
	],
	'admania-home-top-builder' => [
	],
	'admania-home-bottom-builder' => [
	],
	'admania-primary-sidebar' => [
	  0 => 'block-2',
	  1 => 'block-3',
	  2 => 'block-4',
	],
	'admania-secondary-sidebar' => [
	  0 => 'block-5',
	  1 => 'block-6',
	],
	'admania-footer-widget1' => [
	],
	'admania-footer-widget2' => [
	],
	'admania-footer-widget3' => [
	],
	'array_version' => 3,
];

echo serialize($get_new_array);
*/


