<?php
/**
 * The Template for displaying all single posts
 *
 * @package WordPress
 * @subpackage Admania
 * @since Admania 1.0
 */
 
$admania_blog_layout = get_theme_mod('admania_blog_layout_type','amblyt1');

$admania_spblog_layout = get_theme_mod('admania_splyts_scheme','amsplyt3'); 

if($admania_spblog_layout == 'amsplyt4') {
	 $admania_gutenberg_class = 'admania-gutenberg-postclass';
}
else {
	 $admania_gutenberg_class = '';
}

if($admania_spblog_layout == 'amsplyt5') {
	 $admania_postlyt5_class = 'admania-post-layout5';
}
else {
	 $admania_postlyt5_class = '';
}

if($admania_blog_layout == 'amblyt5') {
	$admania_lay5class = 'admania-layt5-contentarea';
}
else {
	$admania_lay5class = '';
}
 
get_header(); 


if(admania_get_option('sngle_stickyheaderadeb') != '') {

/*
* Include the Header Sticky Ad Template.			
*/
				
get_template_part('tempad-parts/headersticky','ad');

}

echo '<main id="admania-maincontent" class="admania-sitemaincontent '.esc_attr($admania_gutenberg_class).' '.esc_attr($admania_postlyt5_class).'">';

if(($admania_spblog_layout == 'amsplyt6') || ($admania_spblog_layout == 'amsplyt7')) {
	
	/*
	* Include the Single Post Header Section.			
	*/
				
	get_template_part('single-post7-content');
	
}

if(($admania_spblog_layout != 'amsplyt4')) {
?>

<div class="admania-contentarea <?php echo esc_attr($admania_lay5class); ?>">

<?php
if(($admania_spblog_layout == 'amsplyt1')) {
?>
  <div class="admania-contentareainner admania-layout1contentareainner">
    <?php 
}
}
if ( have_posts() ) : 
		
			//Start the loop.
			while ( have_posts() ) : the_post();
	

  			    /*
				 *  Include the single post content template.			
				 */
				get_template_part( 'content', 'single' );	

				//	End the loop.
				
				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) {
				 if(get_theme_mod('admania_commentspost') != true) {
					comments_template();
				  }
				}
		
			endwhile;			

		// If no content, include the "No posts found" template.
		else :
			
		?>
		<p class="admania_nocntpost">
			<?php esc_html_e('Sorry No Posts were Found..!','ad-mania');  ?>
		</p>
		<?php	

		endif;
		
		if(($admania_spblog_layout == 'amsplyt1')) {
		?>
	
    </div>
	
  <!-- .content-area-inner -->
  <?php 
			
  if(get_theme_mod('admania_dabothsidebar') != 1) {
  if((get_theme_mod('layt4_cnt_lstsdbr') != 1)){ 
	if($admania_spblog_layout != 'amsplyt4' || $admania_spblog_layout != 'amsplyt5'){	
	?>
  <div class="admania-secondarycontentarea">
    <?php
		
		 /*
		 * Include the Left Sidebar Section Ad Template.			
		 */
				
	   get_template_part('tempad-parts/leftsidebar','ad');

		get_sidebar('left');   // Theme Left Sidebar

		?>
  </div>
   <?php 
	}
  }
   }   
	}
	
	if(($admania_blog_layout == 'amblyt1') || ($admania_blog_layout == 'amblyt4')) {
	
	/*
	* Include the Before Footer Section Ad Template.			
	*/
			
	get_template_part('tempad-parts/beforefooter','ad'); 
}	   
?>
 <div class="admania-contentareafooter">
	<div class="screen-reader-text">
		<?php esc_html_e('This div height required for enabling the sticky sidebar','ad-mania'); ?>
	 </div>
  </div>
	<?php  
if(($admania_spblog_layout != 'amsplyt4')) {
	?>
</div>
<!-- .content-area -->
<?php  
}
if(get_theme_mod('admania_dabothsidebar') != 1) { 
if(get_theme_mod('layt4_cnt_rgtsdbr') != 1){	
if($admania_spblog_layout != 'amsplyt4'){	
?>
<div class="admania-primarycontentarea">
   <?php		
		 /*
		 * Include the Right Sidebar Section Ad Template.			
		 */
		
		get_template_part('tempad-parts/rightsidebar','ad');

		get_sidebar('right'); // Theme Right Sidebar
		
	?>
</div>
<?php 
}
}
}			
/*
* Include the Single Post Bottom Section Sticky Ad Template.			
*/
				
get_template_part('tempad-parts/singlesticky','ad');	   
			
echo '</main>';  //site-main 
			
get_footer(); 